################################################################################
#    MyEnigmaTranslation - Enigma2 plugin for OpenPLi
#    Version: 1.0-rc5 (05.12.2012 19:50)
#    Copyright (C) 2012 vlamo <vlamodev@gmail.com>, Dima73 <@.>
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License along
#    with this program; if not, write to the Free Software Foundation, Inc.,
#    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
################################################################################

# GUI (Screens)
from Screens.Screen import Screen
from Components.ConfigList import ConfigListScreen

# GUI (Summary)
from Screens.Setup import SetupSummary

# GUI (Components)
from Components.ActionMap import ActionMap
from Components.Sources.StaticText import StaticText

# Configuration
from Components.config import config, getConfigListEntry

class MyEnigmaTranslationSetup(Screen, ConfigListScreen):
	"""Configuration of MyEnigmaTranslation"""

	def __init__(self, session):
		Screen.__init__(self, session)
		self.skinName = [ "MyEnigmaTranslationSetup", "Setup" ]

		# Summary
		self.setup_title = _("Setup MyEnigmaTranslation")
		self.onChangedEntry = []

		# Buttons
		self["key_red"] = StaticText(_("Cancel"))
		self["key_green"] = StaticText(_("OK"))

		# Define Actions
		self["actions"] = ActionMap(["SetupActions"],
			{
				"cancel": self.keyCancel,
				"save": self.keySave,
			}
		)

		ConfigListScreen.__init__(
			self,
			[
				getConfigListEntry(_("Enabled"), config.plugins.MyEnigmaTranslation.enabled)
			],
			session = session,
			on_change = self.changed
		)

		# Trigger change
		self.changed()

		self.onLayoutFinish.append(self.layoutFinished)

	def layoutFinished(self):
		self.setTitle(self.setup_title)

	def changed(self):
		for x in self.onChangedEntry:
			x()

	def getCurrentEntry(self):
		return self["config"].getCurrent()[0]

	def getCurrentValue(self):
		return str(self["config"].getCurrent()[1].getText())

	def createSummary(self):
		return SetupSummary

